%include	/usr/lib/rpm/macros.php
%define		_class		Testing
%define		_subclass	Selenium
%define		_status		beta
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - PHP Client for the Selenium Remote Control test tool
Summary(pl.UTF-8):	%{_pearname} - Klient PHP dla narzędzia Selenium Remote Control
Name:		php-pear-%{_pearname}
Version:	0.4.4
Release:	1
License:	Apache v2.0
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	40b079eb2e388c5fbb98cc901ce93135
Patch0:		%{_pearname}-PHPUnit2.patch
URL:		http://pear.php.net/package/Testing_Selenium/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Obsoletes:	php-pear-Testing_Selenium-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Selenium Remote Control (SRC) is a test tool that allows you to write
automated web application UI tests in any programming language against
any HTTP website using any mainstream JavaScript-enabled browser. SRC
provides a Selenium Server, which can automatically start/stop/control
any supported browser. It works by using Selenium Core, a pure-HTML+JS
library that performs automated tasks in JavaScript; the Selenium
Server communicates directly with the browser using AJAX.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Selenium Remote Control (SRC) to narzędzie umożliwiające pisanie
automatycznych testów aplikacji internetowych na poziomie interfejsu
użytkownika. Umożliwia testowanie za pomocą większości przeglądarek
obsługujących JavaScript. SRC udostępnia Selenium Server,
automatycznie uruchamiający/wstrzymujący/sterujący dowolną obsługiwaną
przeglądarką. Działa za pomocą Selenium Core - biblioteki w czystym
HTML-u i JavaScripcie wykonującej zautomatyzowane zadania w
JavaScripcie; Selenium Server komunikuje się bezpośrednio z
przeglądarką poprzez AJAX.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/data/Testing_Selenium
%{php_pear_dir}/Testing/Selenium.php
%{php_pear_dir}/Testing/Selenium
%changelog
* Wed Feb 27 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Testing_Selenium.git;a=log;h=master

* Wed Feb 27 2019 Adam Gołębiowski <adamg@pld-linux.org> d3dc579
- updated to 0.4.4

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> a732465
- release 2

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 3e51443
- dropped -tests subpackage

* Fri Jul 18 2008 Adam Gołębiowski <adamg@pld-linux.org> 4087583
- updated to 0.4.3

* Sat Feb 09 2008 Jakub Bogusz <qboosh@pld-linux.org> a6d90fe
- unified License format

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> aefedaa
- rel 2

* Sat Dec 22 2007 Adam Gołębiowski <adamg@pld-linux.org> 0c618ec
- updated to 0.4.2

* Thu Aug 23 2007 Adam Gołębiowski <adamg@pld-linux.org> 876f3fd
- updated to 0.3.2

* Sun Jun 17 2007 Jakub Bogusz <qboosh@pld-linux.org> 793efda
- enhanced pl desc
- no macros in URL, readable files

* Tue Jun 05 2007 Elan Ruusamäe <glen@pld-linux.org> 7eff220
- proper pl code

* Mon Jun 04 2007 ggodlewski <ggodlewski@pld-linux.org> af037b5
- add missing (?) UTF8

* Mon Jun 04 2007 ggodlewski <ggodlewski@pld-linux.org> 0fe820f
- added missing desc
- patch for PHPUnit2

* Mon Jun 04 2007 ggodlewski <ggodlewski@pld-linux.org> 9197b2c
- patch for PHPUnit2

* Mon Jun 04 2007 ggodlewski <ggodlewski@pld-linux.org> 43f6ec5
- Initial release

